
-- DEFAULT FRENCH DATABASE

-- all rare spawns currently known by http://wow.allakhazam.com/dyn/mobs/rare.html
--  * sorted by zone, then by name
--  * elite creatures are marked, non-elite is default
--  * levels are give or take, they may vary
--  * creatureType are the general type reported by the game
--     - beasts are marked as just beasts until found to add some challenge,
--       and when found they get their correct family (cat, raptor, etc)
--  * locations will be added/update each time a rare is found (0,0 in instance or when unknown)
--  * subzones are added for found rares

TNE_RareTracker_Default_Database_frFR = {
	["Fort des Pins argents"] = {
		["Cogneur Poil-Putride"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 22,
		},
		["Cogneur Rot Hide"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 22,
		},
		["Copiste de Dalaran"] = {
			["creatureType"] = "Humanode",
			["level"] = 21,
		},
		["Gorefang"] = {
			["creatureType"] = "Bte",
			["level"] = 13,
		},
		["Krethis Shadowspinner"] = {
			["creatureType"] = "Bte",
			["level"] = 15,
		},
		["Snarlmane"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 23,
		},
		["Vieux Vile mchoire"] = {
			["creatureType"] = "Bte",
			["level"] = 14,
		},
	},
	["Gangrebois"] = {
		["Alshirr Soufflau"] = {
			["creatureType"] = "Dmon",
			["level"] = 54,
		},
		["Dessecus"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 56,
		},
		["Hurlemort"] = {
			["creatureType"] = "Bte",
			["level"] = 49,
		},
		["Immolatus"] = {
			["creatureType"] = "Dmon",
			["level"] = 56,
		},
		["Mongress"] = {
			["creatureType"] = "Bte",
			["level"] = 50,
		},
		["Olm la Sage"] = {
			["creatureType"] = "Bte",
			["level"] = 52,
		},
		["Ragepatte"] = {
			["creatureType"] = "Humanode",
			["level"] = 51,
		},
	},
	["Mille pointes"] = {
		["Achellios le Banni"] = {
			["creatureType"] = "Humanode",
			["level"] = 31,
		},
		["Dardeur"] = {
			["creatureType"] = "Bte",
			["level"] = 35,
		},
		["Gibblesnik"] = {
			["creatureType"] = "Humanode",
			["level"] = 28,
		},
		["Harb Foulmountain"] = {
			["creatureType"] = "Humanode",
			["level"] = 27,
		},
		["Heartrazor"] = {
			["creatureType"] = "Bte",
			["level"] = 32,
		},
		["Ironeye l'Invincible"] = {
			["creatureType"] = "Bte",
			["level"] = 37,
		},
	},
	["Les Tarides"] = {
		["Aean Swiftriver"] = {
			["creatureType"] = "Humanode",
			["level"] = 25,
		},
		["Ambassadeur Bloodrage"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 36,
		},
		["Ancien Mystique Razorsnout"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
		["Azzere la lame cleste"] = {
			["creatureType"] = "Bte",
			["level"] = 25,
		},
		["Brokespear"] = {
			["creatureType"] = "Humanode",
			["level"] = 17,
		},
		["Brontus"] = {
			["creatureType"] = "Bte",
			["level"] = 27,
		},
		["Capitaine Gerogg Hammertoe"] = {
			["creatureType"] = "Humanode",
			["level"] = 27,
		},
		["Contrematre Grills"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Dishu"] = {
			["creatureType"] = "Bte",
			["level"] = 13,
		},
		["Goprtre Gukk'rok"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Gesharahan"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 20,
		},
		["Hagg Taurenbane"] = {
			["creatureType"] = "Humanode",
			["level"] = 26,
		},
		["Hannah Bladeleaf"] = {
			["creatureType"] = "Humanode",
			["level"] = 24,
		},
		["Heggin Stonewhisker"] = {
			["creatureType"] = "Humanode",
			["level"] = 24,
		},
		["Humar le Fier"] = {
			["creatureType"] = "Bte",
			["level"] = 23,
		},
		["Ingnieur Whirleygig"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Limace bestiale"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 19,
		},
		["Malgin Barleybrew"] = {
			["creatureType"] = "Humanode",
			["level"] = 25,
		},
		["Marcus Bel"] = {
			["creatureType"] = "Humanode",
			["level"] = 24,
		},
		["Moissonneur silithide"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 24,
		},
		["Moissonneur Sillithid"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 24,
		},
		["Peau-piquante Swinegart"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Rathorian"] = {
			["creatureType"] = "Dmon",
			["level"] = 15,
		},
		["Rocklance"] = {
			["creatureType"] = "Humanode",
			["level"] = 17,
		},
		["Snort la Moqueuse"] = {
			["creatureType"] = "Bte",
			["level"] = 17,
		},
		["Snort le Perturbateur"] = {
			["creatureType"] = "Bte",
			["level"] = 17,
		},
		["Soeur Rathtalon"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Stonearm"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
		["Swiftmane"] = {
			["creatureType"] = "Bte",
			["level"] = 21,
		},
		["Takk le Bondisseur"] = {
			["creatureType"] = "Bte",
			["level"] = 19,
		},
		["Terrassier Flameforge"] = {
			["creatureType"] = "Humanode",
			["level"] = 24,
		},
		["Thora Feathermoon"] = {
			["creatureType"] = "Humanode",
			["level"] = 25,
		},
	},
	["Cit de Stormwind"] = {
		["Bte des gouts "] = {
			["creatureType"] = "Bte ",
			["level"] = 50,
		},
	},
	["Contreforts d'Hillsbrad"] = {
		["Dame Zephris"] = {
			["creatureType"] = "Humanode",
			["level"] = 33,
		},
		["Gros Samras"] = {
			["creatureType"] = "Bte",
			["level"] = 27,
		},
		["Rampeuse"] = {
			["creatureType"] = "Bte",
			["level"] = 24,
		},
		["Ro'Bark"] = {
			["creatureType"] = "Humanode",
			["level"] = 28,
		},
		["Scargil"] = {
			["creatureType"] = "Humanode",
			["level"] = 30,
		},
		["Tamra Stormpike"] = {
			["creatureType"] = "Humanode",
			["level"] = 28,
		},
	},
	["Maleterres de l'ouest"] = {
		["Bourreau carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 60,
		},
		["Entoileuse"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 62,
		},
		["Forgeron carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
		["Foulmane"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 52,
		},
		["Furie de Pierre"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 37,
		},
		["Grand Prtre carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 63,
		},
		["Inquisiteur carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 61,
		},
		["Juge carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 60,
		},
		["Putridius"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 58,
		},
		["Seigneur Maldazzar"] = {
			["creatureType"] = "Humanode",
			["level"] = 56,
		},
		["Surveillant Jerris"] = {
			["creatureType"] = "Humanode",
			["level"] = 62,
		},
		["Surveillant Marcrid"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
	},
	["Kraal de Tranchebauge"] = {
		["Chasseur aveugle"] = {
			["creatureType"] = "Bte",
			["level"] = 32,
		},
		["Implorateur de la terre Halmgar"] = {
			["creatureType"] = "Humanode",
			["level"] = 32,
		},
		["Lanceur de Tranchebauge"] = {
			["creatureType"] = "Humanode",
			["level"] = 29,
		},
		["Lanceur Razorfen"] = {
			["creatureType"] = "Humanode",
			["level"] = 29,
		},
	},
	["Mulgore"] = {
		["Excuteur Emilgund"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Hurleur fantmatique"] = {
			["creatureType"] = "Bte",
			["level"] = 12,
		},
		["Le Rake"] = {
			["creatureType"] = "Bte",
			["level"] = 10,
		},
		["Mazzranache"] = {
			["creatureType"] = "Bte",
			["level"] = 9,
		},
		["Snagglespear"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Soeur Hatelash"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
	},
	["Steppes ardentes"] = {
		["Gorgon'och"] = {
			["creatureType"] = "Humanode",
			["level"] = 54,
		},
		["Gruklash"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Gueule du trpas"] = {
			["creatureType"] = "Bte",
			["level"] = 53,
		},
		["Hahk'Zor"] = {
			["creatureType"] = "Humanode",
			["level"] = 54,
		},
		["Hematos"] = {
			["creatureType"] = "Draconien",
			["level"] = 60,
		},
		["Lueur terrifiante"] = {
			["creatureType"] = "Dmon",
			["level"] = 55,
		},
		["Ravageur dfectueux"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 56,
		},
		["Thauris Balgarr"] = {
			["creatureType"] = "Humanode",
			["level"] = 57,
		},
		["Volchan"] = {
			["creatureType"] = "Gant",
			["level"] = 60,
		},
	},
	["Dun Morogh"] = {
		["Bjarn"] = {
			["creatureType"] = "Bte",
			["level"] = 12,
		},
		["Edan le Gaffeur"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Gibblewilt"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Grand-pre Arctikus"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Hammerspine"] = {
			["creatureType"] = "Humanode",
			["level"] = 12,
		},
		["Timber"] = {
			["creatureType"] = "Bte",
			["level"] = 10,
		},
	},
	["Les Carmines"] = {
		["Aqualon le Chercheur"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 21,
		},
		["Chassectes"] = {
			["creatureType"] = "Humanode",
			["level"] = 17,
		},
		["Chatter"] = {
			["creatureType"] = "Bte",
			["level"] = 23,
		},
		["Kazon"] = {
			["creatureType"] = "Humanode",
			["level"] = 27,
		},
		["Rochecoeur"] = {
			["creatureType"] = "Gant",
			["level"] = 25,
		},
		["Rohh le silencieux"] = {
			["creatureType"] = "Humanode",
			["level"] = 26,
		},
		["Snarlflare"] = {
			["creatureType"] = "Draconien",
			["level"] = 18,
		},
		["Squiddic"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
	},
	["Berceau-de-l'Hiver"] = {
		["Azurous"] = {
			["creatureType"] = "Draconien",
			["level"] = 58,
		},
		["Dame Hederine"] = {
			["creatureType"] = "Dmon",
			["level"] = 61,
		},
		["Gnral Colbatann"] = {
			["creatureType"] = "Draconien",
			["level"] = 56,
		},
		["Grizzle Snowpaw"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Kashoch le ravageur"] = {
			["creatureType"] = "Gant",
			["level"] = 60,
		},
		["Mezzir le hurleur"] = {
			["creatureType"] = "Humanode",
			["level"] = 55,
		},
		["Rak'shiri"] = {
			["creatureType"] = "Bte",
			["level"] = 57,
		},
	},
	["Profondeurs de Blackrock"] = {
		["Gardien Stilgiss"] = {
			["creatureType"] = "Humanode",
			["level"] = 56,
		},
		["Panzor l'Invincible"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 57,
		},
		["Pyromancien Loregrain"] = {
			["creatureType"] = "Humanode",
			["level"] = 52,
		},
		["Seigneur Roccor"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 51,
		},
		["Verek"] = {
			["disabled"] = true,
			["creatureType"] = "Dmon",
			["level"] = 55,
		},
	},
	["Maleterres de l'est"] = {
		["Ankou Selendre"] = {
			["creatureType"] = "Humanode",
			["level"] = 56,
		},
		["Duggan Wildhammer"] = {
			["creatureType"] = "Humanode",
			["level"] = 55,
		},
		["Gish l'Immobile"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 56,
		},
		["Grand gnral Abbendis"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Hed'mush le Pourrissant"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 57,
		},
		["Inquisiteur carlate"] = {
			["creatureType"] = "Humanode",
			["level"] = 61,
		},
		["Seigneur Darkscythe"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 57,
		},
		["Seigneur de guerre Thresh'jin"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
		["Seigneur rdeur Hawspear"] = {
			["creatureType"] = "Humanode",
			["level"] = 60,
		},
		["Zul'Brin Warpbranch"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
	},
	["Desolace"] = {
		["Glousse"] = {
			["creatureType"] = "Bte",
			["level"] = 34,
		},
		["Hissperak"] = {
			["creatureType"] = "Bte",
			["level"] = 37,
		},
		["Kaskk"] = {
			["creatureType"] = "Dmon",
			["level"] = 40,
		},
		["Prince Kellen"] = {
			["creatureType"] = "Dmon",
			["level"] = 33,
		},
		["Rgent Ravenclaw"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 22,
		},
		["Slitherblade maudit"] = {
			["creatureType"] = "Humanode",
			["level"] = 35,
		},
	},
	["Hautes-terres d'Arathi"] = {
		["Darbel Montrose"] = {
			["creatureType"] = "Humanode",
			["level"] = 39,
		},
		["Foulbelly"] = {
			["creatureType"] = "Humanode",
			["level"] = 42,
		},
		["Kovork"] = {
			["creatureType"] = "Humanode",
			["level"] = 36,
		},
		["Molok l'Anantisseur"] = {
			["creatureType"] = "Humanode",
			["level"] = 39,
		},
		["Nimar le Pourfendeur"] = {
			["creatureType"] = "Humanode",
			["level"] = 37,
		},
		["Prince Nazjak"] = {
			["creatureType"] = "Humanode",
			["level"] = 41,
		},
		["Ruul Onestone"] = {
			["creatureType"] = "Humanode",
			["level"] = 39,
		},
		["Singer"] = {
			["creatureType"] = "Humanode",
			["level"] = 34,
		},
		["Zalas Witherbark"] = {
			["creatureType"] = "Humanode",
			["level"] = 40,
		},
	},
	["Les Paluns"] = {
		["Chef de guerre Dragonmaw"] = {
			["creatureType"] = "Humanode",
			["level"] = 30,
		},
		["Garneg Charskull"] = {
			["creatureType"] = "Humanode",
			["level"] = 29,
		},
		["Gnawbone"] = {
			["creatureType"] = "Humanode",
			["level"] = 23,
		},
		["Ma'ruk Wyrmscale"] = {
			["creatureType"] = "Humanode",
			["level"] = 23,
		},
		["Matre de guerre Dragonmaw"] = {
			["creatureType"] = "Humanode",
			["level"] = 30,
		},
		["Matriarche des Lacreurs"] = {
			["creatureType"] = "Bte",
			["level"] = 31,
		},
		["Mirelow"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 25,
		},
		["Sludginn"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 30,
		},
		["Veuve Sanguine"] = {
			["creatureType"] = "Bte",
			["level"] = 24,
		},
	},
	["Clairires de Tirisfal"] = {
		["Ame gare"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 6,
		},
		["Bayne"] = {
			["creatureType"] = "Dmon",
			["level"] = 10,
		},
		["Deeb"] = {
			["creatureType"] = "Humanode",
			["level"] = 12,
		},
		["Esprit tourment"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 8,
		},
		["Fermier de Solliden"] = {
			["creatureType"] = "Humanode",
			["level"] = 8,
		},
		["Muad"] = {
			["creatureType"] = "Humanode",
			["level"] = 10,
		},
		["Ombre de Fellicent"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 12,
		},
		["Ressan le Harceleur"] = {
			["creatureType"] = "Bte",
			["level"] = 11,
		},
		["Sri'skulk"] = {
			["creatureType"] = "Bte",
			["level"] = 13,
		},
	},
	["Tanaris"] = {
		["Blisterpaw meurtrier"] = {
			["creatureType"] = "Bte",
			["level"] = 43,
		},
		["Chef de guerre Krazzilak"] = {
			["creatureType"] = "Humanode",
			["level"] = 45,
		},
		["Cyclok le Fol"] = {
			["creatureType"] = "Humanode",
			["level"] = 48,
		},
		["Grand Oiseau de feu"] = {
			["creatureType"] = "Bte",
			["level"] = 46,
		},
		["Haarka le Froce"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 50,
		},
		["Jin'Zallah Porte-sable"] = {
			["creatureType"] = "Humanode",
			["level"] = 46,
		},
		["Kregg Keelhaul"] = {
			["creatureType"] = "Humanode",
			["level"] = 47,
		},
		["Omgorn l'Egar"] = {
			["creatureType"] = "Humanode",
			["level"] = 50,
		},
		["Soriid le Dvoreur"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 49,
		},
	},
	["Bois de la pnombre"] = {
		["Commandant Felstrom"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 32,
		},
		["Fenros"] = {
			["creatureType"] = "Humanode",
			["level"] = 31,
		},
		["Lupos"] = {
			["creatureType"] = "Bte",
			["level"] = 23,
		},
		["Naraxis"] = {
			["creatureType"] = "Bte",
			["level"] = 27,
		},
		["Nefaru"] = {
			["creatureType"] = "Humanode",
			["level"] = 34,
		},
		["Seigneur Malathrom"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 31,
		},
	},
	["Monastre carlate"] = {
		["Azshir l'Insomniaque"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 33,
		},
		["Champion mort"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 33,
		},
		["Ironspine"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 33,
		},
	},
	["Les Serres-Rocheuses"] = {
		["Ancien vengeur"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 29,
		},
		["Contrematre Whipfang"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Frre Ravenoak"] = {
			["creatureType"] = "Humanode",
			["level"] = 29,
		},
		["Nal'taszar"] = {
			["creatureType"] = "Draconien",
			["level"] = 30,
		},
		["Patriarche Pridewing"] = {
			["creatureType"] = "Bte",
			["level"] = 25,
		},
		["Sentinelle Amarassan"] = {
			["creatureType"] = "Humanode",
			["level"] = 27,
		},
		["Soeur Riven"] = {
			["creatureType"] = "Humanode",
			["level"] = 28,
		},
		["Surveillant Rigger"] = {
			["creatureType"] = "Humanode",
			["level"] = 24,
		},
	},
	["Montagnes d'Alterac"] = {
		["Araga"] = {
			["creatureType"] = "Bte",
			["level"] = 35,
		},
		["Benj le teigneux"] = {
			["creatureType"] = "Bte",
			["level"] = 32,
		},
		["Furie de Pierre"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 37,
		},
		["Gravis Slipknot"] = {
			["creatureType"] = "Humanode",
			["level"] = 36,
		},
		["Jimmy le Saignant"] = {
			["creatureType"] = "Humanode",
			["level"] = 23,
		},
		["Lo'Grosh"] = {
			["creatureType"] = "Humanode",
			["level"] = 39,
		},
		["Narillasanz"] = {
			["creatureType"] = "Draconien",
			["level"] = 44,
		},
		["Skhowl"] = {
			["creatureType"] = "Humanode",
			["level"] = 36,
		},
	},
	["Feralas"] = {
		["Antilus le Geignard"] = {
			["creatureType"] = "Bte",
			["level"] = 48,
		},
		["Arash-ethis"] = {
			["creatureType"] = "Bte",
			["level"] = 49,
		},
		["Bloodroar le Traqueur"] = {
			["creatureType"] = "Humanode",
			["level"] = 48,
		},
		["Dame Szallah"] = {
			["creatureType"] = "Humanode",
			["level"] = 46,
		},
		["Gnarl Frrefeuilles"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 44,
		},
		["Qirot"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 47,
		},
		["Snarler"] = {
			["creatureType"] = "Bte",
			["level"] = 42,
		},
		["Vieux Grizzlegut"] = {
			["creatureType"] = "Bte",
			["level"] = 43,
		},
	},
	["La Prison"] = {
		["Bruegal Ironknuckle "] = {
			["creatureType"] = "Humanode ",
			["level"] = 26,
		},
	},
	["Durotar"] = {
		["Capitaine Flat Tusk"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Commandant de la garde Zalaphil"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Commandant des Veilleurs Zalaphil"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Ecorcheur mortel"] = {
			["creatureType"] = "Bte",
			["level"] = 11,
		},
		["Felweaver Scornn"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Geolord Mottle"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Seigneur de guerre Kolkanis"] = {
			["creatureType"] = "Humanode",
			["level"] = 6,
		},
	},
	["Stratholme"] = {
		["Hearthsinger Forresten"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 57,
		},
		["Skul"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 58,
		},
		["Stonespine"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 60,
		},
		["Timmy le Cruel"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 56,
		},
	},
	["Maraudon"] = {
		["Centaure maudit"] = {
			["creatureType"] = "Humanode",
			["level"] = 43,
		},
		["Meshlok le Collecteur"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 48,
		},
	},
	["Terres ingrates"] = {
		["7:XT"] = {
			["creatureType"] = "Mcanique",
			["level"] = 41,
		},
		["Anathemus"] = {
			["creatureType"] = "Gant",
			["level"] = 45,
		},
		["Commandant Shadowforge"] = {
			["creatureType"] = "Humanode",
			["level"] = 40,
		},
		["Edent"] = {
			["creatureType"] = "Bte",
			["level"] = 37,
		},
		["Golem de sige"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 40,
		},
		["Grondeur"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 45,
		},
		["Zaricotl"] = {
			["creatureType"] = "Bte",
			["level"] = 55,
		},
	},
	["Mont Blackrock"] = {
		["Intendant de Scarshield"] = {
			["creatureType"] = "Humanode",
			["level"] = 55,
		},
		["Intendant du Bouclier balafr"] = {
			["creatureType"] = "Humanode",
			["level"] = 55,
		},
		["Le Behemoth"] = {
			["creatureType"] = "Humanode",
			["level"] = 50,
		},
	},
	["Hache-tripes"] = {
		["Le Razza"] = {
			["creatureType"] = "Bte",
			["level"] = 59,
		},
		["Mushgog"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 60,
		},
		["Skarr l'Invaincu"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
	},
	["Pic Blackrock"] = {
		["Bannok Grimaxe"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Boucher Spirestone"] = {
			["creatureType"] = "Humanode",
			["level"] = 57,
		},
		["Croc cristallin"] = {
			["creatureType"] = "Bte",
			["level"] = 60,
		},
		["Garde corrompu ardent"] = {
			["creatureType"] = "Dmon",
			["level"] = 55,
		},
		["Ghok Bashguud"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Intendant Zigris"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Jed Runewatcher"] = {
			["creatureType"] = "Humanode",
			["level"] = 59,
		},
		["Seigneur de guerre Spirestone"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
		["Seigneur magus Spirestone"] = {
			["creatureType"] = "Humanode",
			["level"] = 58,
		},
		["Urok Doomhowl"] = {
			["creatureType"] = "Humanode",
			["level"] = 60,
		},
	},
	["Valle de Strangleronce"] = {
		["Boucher Mosh'Ogg"] = {
			["creatureType"] = "Humanode",
			["level"] = 44,
		},
		["Ecailleux"] = {
			["creatureType"] = "Bte",
			["level"] = 44,
		},
		["Gluggle"] = {
			["creatureType"] = "Humanode",
			["level"] = 37,
		},
		["Kurmokk"] = {
			["creatureType"] = "Bte",
			["level"] = 42,
		},
		["Rippa"] = {
			["creatureType"] = "Bte",
			["level"] = 44,
		},
		["Roloch"] = {
			["creatureType"] = "Humanode",
			["level"] = 38,
		},
		["Seigneur Sakrasis"] = {
			["creatureType"] = "Humanode",
			["level"] = 45,
		},
		["Verifonix"] = {
			["creatureType"] = "Humanode",
			["level"] = 42,
		},
	},
	["Loch Modan"] = {
		["Boss Galgosh"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Emogg le Broyeur"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Grand crocilisque du loch"] = {
			["creatureType"] = "Bte",
			["level"] = 22,
		},
		["Grizlak"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
		["Magosh"] = {
			["creatureType"] = "Humanode",
			["level"] = 21,
		},
		["Seigneur Condar"] = {
			["creatureType"] = "Bte",
			["level"] = 15,
		},
		["Shanda la Tisseuse"] = {
			["creatureType"] = "Bte",
			["level"] = 19,
		},
	},
	["Gorge des Vents brlants"] = {
		["Gnralissime Mastrogonde"] = {
			["creatureType"] = "Humanode",
			["level"] = 51,
		},
		["Golem de guerre dfaillant"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 46,
		},
		["Matre des esclaves Blackheart"] = {
			["creatureType"] = "Humanode",
			["level"] = 50,
		},
		["Rekk'tilac"] = {
			["creatureType"] = "Bte",
			["level"] = 48,
		},
		["Scald"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 49,
		},
		["Shleipnarr"] = {
			["creatureType"] = "Dmon",
			["level"] = 47,
		},
		["Smoldar"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 50,
		},
	},
	["Donjon d'Ombrecroc"] = {
		["Capitaine Deathsworn"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 25,
		},
	},
	["Terres foudroyes"] = {
		["Akubar le Prophte"] = {
			["creatureType"] = "Humanode",
			["level"] = 54,
		},
		["Clack le Ravageur"] = {
			["creatureType"] = "Bte",
			["level"] = 53,
		},
		["Deatheye"] = {
			["creatureType"] = "Bte",
			["level"] = 49,
		},
		["Dreadscorn"] = {
			["creatureType"] = "Humanode",
			["level"] = 57,
		},
		["Grunter"] = {
			["creatureType"] = "Bte",
			["level"] = 50,
		},
		["Magronos l'Irrductible"] = {
			["creatureType"] = "Humanode",
			["level"] = 56,
		},
		["Mojo le Tordu"] = {
			["creatureType"] = "Humanode",
			["level"] = 48,
		},
		["Ravage"] = {
			["creatureType"] = "Bte",
			["level"] = 51,
		},
		["Spiteflayer"] = {
			["creatureType"] = "Bte",
			["level"] = 52,
		},
	},
	["Marcage d'prefange"] = {
		["Arrachcaille"] = {
			["creatureType"] = "Bte",
			["level"] = 39,
		},
		["Burgle Eye"] = {
			["creatureType"] = "Humanode",
			["level"] = 38,
		},
		["Dorgoth le Vagabond"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 37,
		},
		["Flche"] = {
			["creatureType"] = "Bte",
			["level"] = 38,
		},
		["Hayoc"] = {
			["creatureType"] = "Bte",
			["level"] = 41,
		},
		["La Pourriture"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 43,
		},
		["Seigneur Angler"] = {
			["creatureType"] = "Humanode",
			["level"] = 44,
		},
		["Soufresang"] = {
			["creatureType"] = "Draconien",
			["level"] = 45,
		},
		["Ver de limon"] = {
			["creatureType"] = "Bte",
			["level"] = 42,
		},
		["Veuve de Sombrebrume"] = {
			["creatureType"] = "Bte",
			["level"] = 40,
		},
	},
	["Les mortemines"] = {
		["Edwin VanCleef"] = {
			["creatureType"] = "Humanode",
			["level"] = 20,
		},
		["Marisa du'Paige"] = {
			["creatureType"] = "Humanode",
			["level"] = 18,
		},
		["Mineur Johnson"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Noble manipul"] = {
			["creatureType"] = "Humanode",
			["level"] = 18,
		},
	},
	["Cavernes des lamentations"] = {
		["Boahn"] = {
			["creatureType"] = "Humanode",
			["level"] = 20,
		},
		["Dragon frique Dviant"] = {
			["creatureType"] = "Draconien",
			["level"] = 20,
		},
		["Trigore le Flagelleur"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 19,
		},
	},
	["Marche de l'Ouest"] = {
		["Brack"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Dcoupeur 4000"] = {
			["creatureType"] = "Mcanique",
			["level"] = 20,
		},
		["Foe Reaper 4000"] = {
			["creatureType"] = "Mcanique",
			["level"] = 20,
		},
		["Leprithus"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 19,
		},
		["Matre Terrassier"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
		["Sergent Brashclaw"] = {
			["creatureType"] = "Humanode",
			["level"] = 18,
		},
		["Slark"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
		["Vultros"] = {
			["creatureType"] = "Bte",
			["level"] = 26,
		},
	},
	["Ashenvale"] = {
		["Apothicaire Falthis"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Chef de meute Terrowulf"] = {
			["creatureType"] = "Humanode",
			["level"] = 31,
		},
		["Dame Vespia"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Eck'alom"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 27,
		},
		["Falthis l'apothicaire"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Hurleur des brumes"] = {
			["creatureType"] = "Bte",
			["level"] = 22,
		},
		["Lutjanid arboricole"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 25,
		},
		["Mchoire Rorgish"] = {
			["creatureType"] = "Humanode",
			["level"] = 25,
		},
		["Mugglefin"] = {
			["creatureType"] = "Humanode",
			["level"] = 23,
		},
		["Pattes de chne"] = {
			["creatureType"] = "Humanode",
			["level"] = 27,
		},
		["Prince Raze"] = {
			["creatureType"] = "Dmon",
			["level"] = 32,
		},
		["Ursol'lok"] = {
			["creatureType"] = "Bte",
			["level"] = 31,
		},
	},
	["Azshara"] = {
		["Antilos "] = {
			["creatureType"] = "Bte ",
			["level"] = 50,
		},
		["Barbe-d'cailles"] = {
			["creatureType"] = "Bte",
			["level"] = 52,
		},
		["Dame Sesspira"] = {
			["creatureType"] = "Humanode",
			["level"] = 50,
		},
		["Fantme de Varo'then"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 48,
		},
		["Gardien Rageroar"] = {
			["creatureType"] = "Humanode",
			["level"] = 49,
		},
		["Gnral Fangferror"] = {
			["creatureType"] = "Humanode",
			["level"] = 50,
		},
		["L'Evalcharr"] = {
			["creatureType"] = "Bte",
			["level"] = 48,
		},
		["Magister Hawkhelm"] = {
			["creatureType"] = "Humanode",
			["level"] = 51,
		},
		["Magistre Hawkhelm"] = {
			["creatureType"] = "Humanode",
			["level"] = 51,
		},
		["Matre Feardred"] = {
			["creatureType"] = "Dmon",
			["level"] = 51,
		},
		["Monnos l'Ancien"] = {
			["creatureType"] = "Gant",
			["level"] = 53,
		},
	},
	["Marais des Chagrins"] = {
		["Chef Perdu"] = {
			["creatureType"] = "Humanode",
			["level"] = 39,
		},
		["Cuisinier perdu"] = {
			["creatureType"] = "Humanode",
			["level"] = 37,
		},
		["Fingat"] = {
			["creatureType"] = "Humanode",
			["level"] = 43,
		},
		["Gilmorian"] = {
			["creatureType"] = "Humanode",
			["level"] = 43,
		},
		["Rougeronce"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 42,
		},
		["Seigneur-capitaine Wyrmak"] = {
			["creatureType"] = "Draconien",
			["level"] = 45,
		},
	},
	["Sombrivage"] = {
		["Carnivous le Casseur"] = {
			["creatureType"] = "Humanode",
			["level"] = 16,
		},
		["Dame Moongazer"] = {
			["creatureType"] = "Mort-vivant",
			["level"] = 17,
		},
		["Dame Vespira"] = {
			["creatureType"] = "Humanode",
			["level"] = 22,
		},
		["Flagglemurk le Cruel"] = {
			["creatureType"] = "Humanode",
			["level"] = 16,
		},
		["Flamboyeur Radison"] = {
			["creatureType"] = "Humanode",
			["level"] = 19,
		},
		["Griffe-noire"] = {
			["creatureType"] = "Bte",
			["level"] = 13,
		},
		["Licillin"] = {
			["creatureType"] = "Dmon",
			["level"] = 14,
		},
		["Matriarche Strider"] = {
			["creatureType"] = "Bte",
			["level"] = 20,
		},
		["Matriarche trotteuse"] = {
			["creatureType"] = "Bte",
			["level"] = 20,
		},
		["Seigneur Sinslayer"] = {
			["creatureType"] = "Humanode",
			["level"] = 15,
		},
	},
	["Teldrassil"] = {
		["Blackmoss le Ftide"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 13,
		},
		["Furie Shelda"] = {
			["creatureType"] = "Humanode",
			["level"] = 8,
		},
		["Grimmaw"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
		["Threggil"] = {
			["creatureType"] = "Dmon",
			["level"] = 6,
		},
		["Traqueur du crpuscule"] = {
			["creatureType"] = "Bte",
			["level"] = 9,
		},
		["Uruson"] = {
			["creatureType"] = "Humanode",
			["level"] = 7,
		},
	},
	["Silithus"] = {
		["Gretheer"] = {
			["creatureType"] = "Bte",
			["level"] = 57,
		},
		["Grubthor"] = {
			["creatureType"] = "Bte",
			["level"] = 58,
		},
		["Huricanian"] = {
			["creatureType"] = "Elmentaire",
			["level"] = 58,
		},
		["Krellack"] = {
			["creatureType"] = "Bte",
			["level"] = 56,
		},
		["Lapress"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 60,
		},
		["Rex Ashil"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 57,
		},
		["Seigneur du crpuscule Everun"] = {
			["creatureType"] = "Humanode",
			["level"] = 60,
		},
		["Setis"] = {
			["creatureType"] = "Humanode",
			["level"] = 61,
		},
		["Zora"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 59,
		},
	},
	["Les Hinterlands"] = {
		["Bondisseur des Falaises"] = {
			["creatureType"] = "Bte",
			["level"] = 42,
		},
		["Dos-de-fer"] = {
			["creatureType"] = "Bte",
			["level"] = 51,
		},
		["Grimungous"] = {
			["creatureType"] = "Gant",
			["level"] = 50,
		},
		["Ironback"] = {
			["creatureType"] = "Bte",
			["level"] = 51,
		},
		["Jalinde Summerdrake"] = {
			["creatureType"] = "Humanode",
			["level"] = 49,
		},
		["Le Reak"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 49,
		},
		["Mith'rethis l'Enchanteur"] = {
			["creatureType"] = "Humanode",
			["level"] = 52,
		},
		["Razortalon"] = {
			["creatureType"] = "Humanode",
			["level"] = 44,
		},
		["Retherokk le Berserker"] = {
			["creatureType"] = "Humanode",
			["level"] = 48,
		},
		["Witherheart le Traqueur"] = {
			["creatureType"] = "Humanode",
			["level"] = 45,
		},
		["Zul'arek Hatefowler"] = {
			["creatureType"] = "Humanode",
			["level"] = 43,
		},
	},
	["Uldaman"] = {
		["Matre des fouilles Shovelphlange"] = {
			["creatureType"] = "Humanode",
			["level"] = 38,
		},
	},
	["Fort d'Elwynn"] = {
		["Fedfennel"] = {
			["creatureType"] = "Humanode",
			["level"] = 12,
		},
		["Gruff Swiftbite"] = {
			["creatureType"] = "Humanode",
			["level"] = 12,
		},
		["Mre Fang"] = {
			["creatureType"] = "Bte",
			["level"] = 10,
		},
		["Morgaine la ruse"] = {
			["creatureType"] = "Humanode",
			["level"] = 10,
		},
		["Narg le contrematre"] = {
			["creatureType"] = "Humanode",
			["level"] = 9,
		},
		["Thuros Lightfingers"] = {
			["creatureType"] = "Humanode",
			["level"] = 11,
		},
	},
	["Cratre d'Un'Goro"] = {
		["Clutchmother Zavas"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 54,
		},
		["Matriarche Ravasaur"] = {
			["creatureType"] = "Bte",
			["level"] = 50,
		},
		["Matriarche ravasaure"] = {
			["creatureType"] = "Bte",
			["level"] = 50,
		},
		["Matriarche Zavas"] = {
			["creatureType"] = "Non spcifi",
			["level"] = 54,
		},
		["Roi Mosh"] = {
			["creatureType"] = "Bte",
			["level"] = 59,
		},
		["Uhk'loc"] = {
			["creatureType"] = "Bte",
			["level"] = 52,
		},
	},
}